// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UK2Node_CallParentFunction.h"
#include "SCW_UK2Node_CallFunction.h"

class UK2Node_CallParentFunction;

namespace Sourcify
{
	class SCW_UK2Node_CallParentFunction : public SCW_UK2Node_CallFunction, public virtual ISCW_UK2Node_CallParentFunction
	{
	public:
		SCW_UK2Node_CallParentFunction(UK2Node_CallParentFunction* InK2Node_CallParentFunction);

		UK2Node_CallParentFunction* ToUK2Node_CallParentFunction() const;

		ISCW_UK2Node_CallParentFunctionPtr ToUK2Node_CallParentFunctionPtr() override;
		ISCW_UK2Node_CallParentFunctionConstPtr ToUK2Node_CallParentFunctionPtr() const override;

	protected:
		UK2Node_CallParentFunction* K2Node_CallParentFunction;
	};
} // namespace Sourcify